[Rainmeter]
Author=viken\wasek
Update=1000
BackgroundMode=2
SolidColor=0,0,0,1

[Metadata]
Name=Volume Control 


[Variables]

;===============================================================================================
;Measures
;===============================================================================================

[MeasureWin7Audio]
Measure=Plugin
Plugin=Win7AudioPlugin.dll

;Add & subtract 1 to force a numeric output.
[PercentageCalc]
Measure=Calc
Formula=(MeasureWin7Audio+0)

;===============================================================================================
;Meters
;===============================================================================================

[MeterBarBackground]
Meter=Image
X=0
Y=0
ImageName=VBar 1.png

[MeterVolumePercent]
Meter=String
MeasureName=PercentageCalc
X=10
Y=0R
FontColor=23,131,21
StringAlign=left
StringEffect=Shadow
StringStyle=Bold
Antialias=1
Text="%1%"

;[MeterPointer]
;Meter=Image
;X=r
;Y=([PercentageCalc])
;Imagename=PointerL.png
;DynamicVariables=1

;-----------------------------------------------------------------------------------------------
;Volume !Bangs - invisible boxes matching the grid (A digital frontier)
;-----------------------------------------------------------------------------------------------

[MeterVolume5]
Meter=Image
SolidColor=0,0,0,1
X=5
Y=10
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 0"
LeftMouseDownAction=!Execute [!RainmeterShowMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume10]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=18r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 10"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterShowMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume15]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=20r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 20"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterShowMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume20]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=20r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 30"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterShowMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume25]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=20r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 40"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterShowMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume30]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=21r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 50"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterShowMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume35]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=20r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 60"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterShowMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume40]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=20r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 70"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterShowMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume45]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=20r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 80"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterShowMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume50]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=20r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 90"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterShowMeter MeterU10][!RainmeterHideMeter MeterU11][!RainmeterRedraw]

[MeterVolume55]
Meter=Image
SolidColor=0,0,0,1
X=r
Y=20r
H=5
W=20
LeftMouseUpAction=!CommandMeasure "MeasureWin7Audio" "SetVolume 100"
LeftMouseDownAction=!Execute [!RainmeterHideMeter MeterU][!RainmeterHideMeter MeterU2][!RainmeterHideMeter MeterU3][!RainmeterHideMeter MeterU4][!RainmeterHideMeter MeterU5][!RainmeterHideMeter MeterU6][!RainmeterHideMeter MeterU7][!RainmeterHideMeter MeterU8][!RainmeterHideMeter MeterU9][!RainmeterHideMeter MeterU10][!RainmeterShowMeter MeterU11][!RainmeterRedraw]

;------------------------------

[MeterU]
Meter=Image
Imagename=PointerL.png
X=20
Y=5
Hidden=1

[MeterU2]
Meter=Image
Imagename=PointerL.png
X=r
Y=19r
Hidden=1

[MeterU3]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1

[MeterU4]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1

[MeterU5]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1

[MeterU6]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1

[MeterU7]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1

[MeterU8]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1

[MeterU9]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1

[MeterU10]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1

[MeterU11]
Meter=Image
Imagename=PointerL.png
X=r
Y=20r
Hidden=1












